OpenJPEG 2.3.0

Functions
thix_manager.c File Reference

Modification of jpip.c from 2KAN indexer. More...

`#include "opj_includes.h"`

## Functions
int | opj_write_thix (int coff, opj_codestream_info_t cstr_info, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)
int | opj_write_tilemhix (int coff, opj_codestream_info_t cstr_info, int tileno, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)

## Detailed Description

Modification of jpip.c from 2KAN indexer.

## Function Documentation

## ◆ opj_write_thix()

int opj_write_thix | ( | int | coff,
|  | opj_codestream_info_t | cstr_info,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager
| ) |  |

References JPIP_MHIX, JPIP_THIX, opj_jp2_box::length, opj_calloc(), opj_free(), opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), opj_write_bytes, opj_write_manf(), opj_write_tilemhix(), opj_codestream_info::th, opj_codestream_info::tw, and opj_jp2_box::type.

Referenced by opj_write_cidx().

## ◆ opj_write_tilemhix()

int opj_write_tilemhix | ( | int | coff,
|  | opj_codestream_info_t | cstr_info,
|  | int | tileno,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager
| ) |  |

References JPIP_MHIX, opj_tile_info::marker, opj_tile_info::marknum, opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), opj_write_bytes, opj_codestream_info::tile, opj_tile_info::tp, opj_tp_info::tp_end_header, and opj_tp_info::tp_start_pos.

Referenced by opj_write_thix().